
Redmine - Defect #26016

Redmine is slow to some users

2017-05-22 18:08 - Renê Barbosa

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.3.0

Description

We updated our Redmine environment to the version 3.3.0 and some users are complaining about slowness in their activities.

We found that just some users (the ones with 1000+ projects) are with this problem. Users with ~600- projects are not affected.

I've attached 2 files at this issue, they're a Redmine debug log of an user with several projects (slow.log) and an user with few

projects (slow.log). The difference is really notable.

Related issues:

Related to Redmine - Feature #19102: Redmine doesnt scale with large amount o... Closed

History

#1 - 2017-05-22 18:25 - Renê Barbosa

Environment:

Redmine version: 3.3.3.stable

Ruby version: 2.1.10-p492 (2016-04-01) [x86_64-linux]

Rails version: 4.2.7.1

Environment: production

Database adapter: Mysql2

 SCM:

Filesystem

 Redmine plugins:

no plugin installed

#2 - 2017-05-22 19:21 - Toshi MARUYAMA

- Related to Feature #19102: Redmine doesnt scale with large amount of projects added

#3 - 2017-07-03 19:38 - Renê Barbosa

It looks like the issue was fixed in 3.4.0.

#4 - 2017-07-03 20:16 - Mischa The Evil

- Status changed from New to Closed

Renê Barbosa wrote:

It looks like the issue was fixed in 3.4.0.

 That is possible as 3.4.0 includes several performance improvements. I'll close this issue but keep #19102 open as that one includes more cases of

multiple users. I'd like to see their feedback before closing that one.

Thanks for the feedback.
https://www.redmine.org/issues/19102


Files

fast.log 7.26 KB 2017-05-22 Renê Barbosa

slow.log 80.6 KB 2017-05-22 Renê Barbosa
